## org.apache.catalina.startup
Interface EmbeddedManagerMBean

All Known Implementing Classes:
  EmbeddedManager

public interface EmbeddedManagerMBean

Embedded MBean interface.

Version:
  $Revision: 1.5 $
Author:
  Remy Maucherat

Field Summary
`static java.lang.String` `NAME` Component name.
`static java.lang.String` `OBJECT_NAME` Object name.
`static int` `STARTED`
`static int` `STARTING`
`static java.lang.String[]` `states` Status constants.
`static int` `STOPPED`
`static int` `STOPPING`

Method Summary
`void` `addConnector(Connector connector)` Add a new Connector to the set of defined Connectors.
`void` `addEngine(Engine engine)` Add a new Engine to the set of defined Engines.
`Connector` `createConnector(java.net.InetAddress address, int port, boolean secure)` Create, configure, and return a new TCP/IP socket connector based on the specified properties.
`Context` `createContext(java.lang.String path, java.lang.String docBase)` Create, configure, and return a Context that will process all HTTP requests received from one of the associated Connectors, and directed to the specified context path on the virtual host to which this Context is connected.
`Engine` `createEngine()` Create, configure, and return an Engine that will process all HTTP requests received from one of the associated Connectors, based on the specified properties.
`Host` `createHost(java.lang.String name, java.lang.String appBase)` Create, configure, and return a Host that will process all HTTP requests received from one of the associated Connectors, and directed to the specified virtual host.
`void` `destroy()` Destroy servlet container (if any is running).
`int` `getDebug()` Return the debugging detail level for this component.
`java.lang.String` `getInfo()` Return descriptive information about this Server implementation and the corresponding version number, in the format `<description>/<version>`.
`Logger` `getLogger()` Return the Logger for this component.
`java.lang.String` `getName()` Retruns the Catalina component name.
`Realm` `getRealm()` Return the default Realm for our Containers.
`java.lang.String` `getSocketFactory()` Return the secure socket factory class name.
`int` `getState()` Returns the state.
`java.lang.String` `getStateString()` Returns a String representation of the state.
`boolean` `isUseNaming()` Return true if naming is enabled.
`void` `removeConnector(Connector connector)` Remove the specified Connector from the set of defined Connectors.
`void` `removeContext(Context context)` Remove the specified Context from the set of defined Contexts for its associated Host.
`void` `removeEngine(Engine engine)` Remove the specified Engine from the set of defined Engines, along with all of its related Hosts and Contexts.
`void` `removeHost(Host host)` Remove the specified Host, along with all of its related Contexts, from the set of defined Hosts for its associated Engine.
`void` `setDebug(int debug)` Set the debugging detail level for this component.
`void` `setLogger(Logger logger)` Set the Logger for this component.
`void` `setRealm(Realm realm)` Set the default Realm for our Containers.
`void` `setSocketFactory(java.lang.String socketFactory)` Set the secure socket factory class name.
`void` `setUseNaming(boolean useNaming)` Enables or disables naming support.
`void` `start()` Prepare for the beginning of active use of the public methods of this component.
`void` `stop()` Gracefully terminate the active use of the public methods of this component.

Field Detail

### states

    public static final java.lang.String[] states

  Status constants.

### STOPPED

    public static final int STOPPED

See Also:
  Constant Field Values

### STOPPING

    public static final int STOPPING

See Also:
  Constant Field Values

### STARTING

    public static final int STARTING

See Also:
  Constant Field Values

### STARTED

    public static final int STARTED

See Also:
  Constant Field Values

### NAME

    public static final java.lang.String NAME

  Component name.

  See Also:
    Constant Field Values

### OBJECT_NAME

    public static final java.lang.String OBJECT_NAME

  Object name.

  See Also:
    Constant Field Values

Method Detail

### getName

    public java.lang.String getName()

  Retruns the Catalina component name.

### getState

    public int getState()

  Returns the state.

### getStateString

    public java.lang.String getStateString()

  Returns a String representation of the state.

### getDebug

    public int getDebug()

  Return the debugging detail level for this component.

### setDebug

    public void setDebug(int debug)

  Set the debugging detail level for this component.

  Parameters:
    `debug` - The new debugging detail level

### isUseNaming

    public boolean isUseNaming()

  Return true if naming is enabled.

### setUseNaming

    public void setUseNaming(boolean useNaming)

  Enables or disables naming support.

  Parameters:
    `useNaming` - The new use naming value

### getLogger

    public Logger getLogger()

  Return the Logger for this component.

### setLogger

    public void setLogger(Logger logger)

  Set the Logger for this component.

  Parameters:
    `logger` - The new logger

### getRealm

    public Realm getRealm()

  Return the default Realm for our Containers.

### setRealm

    public void setRealm(Realm realm)

  Set the default Realm for our Containers.

  Parameters:
    `realm` - The new default realm

### getSocketFactory

    public java.lang.String getSocketFactory()

  Return the secure socket factory class name.

### setSocketFactory

    public void setSocketFactory(java.lang.String socketFactory)

  Set the secure socket factory class name.

  Parameters:
    `socketFactory` - The new secure socket factory class name

### addConnector

    public void addConnector(Connector connector)

  Add a new Connector to the set of defined Connectors. The newly added Connector will be associated with the most recently added Engine.

  Parameters:
    `connector` - The connector to be added
  Throws:
    `java.lang.IllegalStateException` - if no engines have been added yet

### addEngine

    public void addEngine(Engine engine)

  Add a new Engine to the set of defined Engines.

  Parameters:
    `engine` - The engine to be added

### createConnector

    public Connector createConnector(java.net.InetAddress address,
                                     int port,
                                     boolean secure)

  Create, configure, and return a new TCP/IP socket connector based on the specified properties.

  Parameters:
    `address` - InetAddress to listen to, or `null` to listen on all address on this server
    `port` - Port number to listen to
    `secure` - Should this port be SSL-enabled?

### createContext

    public Context createContext(java.lang.String path,
                                 java.lang.String docBase)

  Create, configure, and return a Context that will process all HTTP requests received from one of the associated Connectors, and directed to the specified context path on the virtual host to which this Context is connected.

  After you have customized the properties, listeners, and Valves for this Context, you must attach it to the corresponding Host by calling:

         host.addChild(context);

  which will also cause the Context to be started if the Host has already been started.

  Parameters:
    `path` - Context path of this application ("" for the default application for this host, must start with a slash otherwise)
    `docBase` - Absolute pathname to the document base directory for this web application
  Throws:
    `java.lang.IllegalArgumentException` - if an invalid parameter is specified

### createEngine

    public Engine createEngine()

  Create, configure, and return an Engine that will process all HTTP requests received from one of the associated Connectors, based on the specified properties.

### createHost

    public Host createHost(java.lang.String name,
                           java.lang.String appBase)

  Create, configure, and return a Host that will process all HTTP requests received from one of the associated Connectors, and directed to the specified virtual host.

  After you have customized the properties, listeners, and Valves for this Host, you must attach it to the corresponding Engine by calling:

         engine.addChild(host);

  which will also cause the Host to be started if the Engine has already been started. If this is the default (or only) Host you will be defining, you may also tell the Engine to pass all requests not assigned to another virtual host to this one:

         engine.setDefaultHost(host.getName());

  Parameters:
    `name` - Canonical name of this virtual host
    `appBase` - Absolute pathname to the application base directory for this virtual host
  Throws:
    `java.lang.IllegalArgumentException` - if an invalid parameter is specified

### getInfo

    public java.lang.String getInfo()

  Return descriptive information about this Server implementation and the corresponding version number, in the format `<description>/<version>`.

### removeConnector

    public void removeConnector(Connector connector)

  Remove the specified Connector from the set of defined Connectors.

  Parameters:
    `connector` - The Connector to be removed

### removeContext

    public void removeContext(Context context)

  Remove the specified Context from the set of defined Contexts for its associated Host. If this is the last Context for this Host, the Host will also be removed.

  Parameters:
    `context` - The Context to be removed

### removeEngine

    public void removeEngine(Engine engine)

  Remove the specified Engine from the set of defined Engines, along with all of its related Hosts and Contexts. All associated Connectors are also removed.

  Parameters:
    `engine` - The Engine to be removed

### removeHost

    public void removeHost(Host host)

  Remove the specified Host, along with all of its related Contexts, from the set of defined Hosts for its associated Engine. If this is the last Host for this Engine, the Engine will also be removed.

  Parameters:
    `host` - The Host to be removed

### start

    public void start()

  Prepare for the beginning of active use of the public methods of this component. This method should be called after `configure()`, and before any of the public methods of the component are utilized.

  Throws:
    `java.lang.IllegalStateException` - if this component has already been started

### stop

    public void stop()

  Gracefully terminate the active use of the public methods of this component. This method should be the last one called on a given instance of this component.

  Throws:
    `java.lang.IllegalStateException` - if this component has not been started

### destroy

    public void destroy()

  Destroy servlet container (if any is running).

Copyright ? 2000-2002 Apache Software Foundation. All Rights Reserved.